from flask import Blueprint, request, jsonify, session
from services.auth import authenticate_user

auth_bp = Blueprint('auth', __name__)

@auth_bp.route('/login', methods=['POST'])
def login():
    data = request.get_json()

    email = data.get('email')
    password = data.get('password')

    user = authenticate_user(email, password)

    if user:
        session['user_id'] = user['id']

        return jsonify({
            'status': 'success',
            'message': 'Login successful',
            'data': user
        }), 200
    else:
        return jsonify({
            'status': 'error',
            'message': 'Error. Invalid credentials'
        }), 401
