from flask import Blueprint, jsonify
from services.file_manipulation import PDFService
from models import File

file_manipulation_bp = Blueprint('file_manipulation', __name__)

@file_manipulation_bp.route('/extract/<int:book_id>', methods=['GET'])
def extract_file_by_book_id(book_id):
    file_record = File.query.filter_by(book_id=book_id).first()

    num_pages, content = PDFService.extract_pdf_info(file_record.file_url)

    return jsonify({
        'file_id': file_record.id,
        'book_id': book_id,
        'num_pages': num_pages,
        'content': content
    }), 200