"""Correção da tabela gifs para se relacionar diretamente com books

Revision ID: 0d16f3b798d4
Revises: 48ab23abaa07
Create Date: 2024-10-06 17:43:33.883530

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '0d16f3b798d4'
down_revision = '48ab23abaa07'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('files',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('book_id', sa.Integer(), nullable=True),
    sa.Column('name', sa.String(length=255), nullable=False),
    sa.Column('file_url', sa.String(length=255), nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['book_id'], ['books.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('gifs',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('book_id', sa.Integer(), nullable=True),
    sa.Column('name', sa.String(length=255), nullable=False),
    sa.Column('gif_url', sa.String(length=255), nullable=False),
    sa.Column('description', sa.Text(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['book_id'], ['books.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id')
    )
    op.drop_table('videos')
    op.drop_table('pages')
    with op.batch_alter_table('chapters', schema=None) as batch_op:
        batch_op.drop_column('start_page')
        batch_op.drop_column('end_page')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('chapters', schema=None) as batch_op:
        batch_op.add_column(sa.Column('end_page', sa.INTEGER(), autoincrement=False, nullable=False))
        batch_op.add_column(sa.Column('start_page', sa.INTEGER(), autoincrement=False, nullable=False))

    op.create_table('pages',
    sa.Column('id', sa.INTEGER(), server_default=sa.text("nextval('pages_id_seq'::regclass)"), autoincrement=True, nullable=False),
    sa.Column('chapter_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('page_number', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('content', sa.TEXT(), autoincrement=False, nullable=True),
    sa.Column('created_at', postgresql.TIMESTAMP(), autoincrement=False, nullable=True),
    sa.Column('updated_at', postgresql.TIMESTAMP(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['chapter_id'], ['chapters.id'], name='pages_chapter_id_fkey', ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id', name='pages_pkey'),
    postgresql_ignore_search_path=False
    )
    op.create_table('videos',
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('page_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('paragraph_number', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('video_url', sa.VARCHAR(length=255), autoincrement=False, nullable=False),
    sa.Column('description', sa.TEXT(), autoincrement=False, nullable=True),
    sa.Column('created_at', postgresql.TIMESTAMP(), autoincrement=False, nullable=True),
    sa.Column('updated_at', postgresql.TIMESTAMP(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['page_id'], ['pages.id'], name='videos_page_id_fkey', ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id', name='videos_pkey')
    )
    op.drop_table('gifs')
    op.drop_table('files')
    # ### end Alembic commands ###
