import os
import PyPDF2

BASE_DIR = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))

UPLOAD_FOLDER_FILES = os.path.join(BASE_DIR, 'files')

class PDFService:
    @staticmethod
    def extract_pdf_info(pdf_filename):
        pdf_path = os.path.join(UPLOAD_FOLDER_FILES, pdf_filename)

        if not os.path.exists(pdf_path):
            raise FileNotFoundError()

        with open(pdf_path, 'rb') as file:
            reader = PyPDF2.PdfReader(file)
            num_pages = len(reader.pages)
            text_content = ''
            for page in range(num_pages):
                page_obj = reader.pages[page]
                text_content += page_obj.extract_text()

        return num_pages, text_content
